Page MenuHomePhabricator

Microsoft Edge does not display review details
Closed, ResolvedPublic

Description

No review details are shown with MS Edge 44.17763.1.0 since today.

Clicking on any line of the review list

does not show any content

Event Timeline

Xqt created this task.Jul 6 2020, 8:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2020, 8:52 AM
Xqt added a comment.Jul 6 2020, 9:07 AM

Additional Information from development tools console

2HTML1300: Navigation wurde ausgeführt.
www.phabricator.org (1,1)

CSS3121: Die Medienabfrage -ms-viewport ist veraltet.

2HTML1300: Navigation wurde ausgeführt.
gerrit.wikimedia.org (1,1)

initResin

Gerrit UI (PolyGerrit)

Gerrit Server Version: 3.2.2-102-g3bbb138e13

Please file bugs and feedback at: https://phabricator.wikimedia.org/maniphest/task/create/?projects=PHID-PROJ-lc5rwomzjp6fmcdpbw43

CSS3119: Es sind keine Schriftarten für die @font-face-Regel verfügbar.
r (27,5)

HTTP404: NICHT GEFUNDEN: Der Server hat keine Übereinstimmungen für den angeforderten URI (Uniform Resource Identifier) gefunden.
GET - https://gerrit.wikimedia.org/fonts/roboto/Roboto-Medium.ttf

HTTP 200 GET 285ms /accounts/*/detail (2020-07-06T08:39:59.037Z, 2020-07-06T08:39:59.322Z)

HTTP 200 GET 287ms /accounts/*/status (2020-07-06T08:39:59.037Z, 2020-07-06T08:39:59.324Z)

CSS3119: Es sind keine Schriftarten für die @font-face-Regel verfügbar.
r (39,5)

HTTP 200 GET 155ms /r/changes/?O=881&S=0&q=has%3Adraft%20limit%3A10&q=assignee%3Aself%20(-is%3Awip%20OR%20owner%3Aself%20OR%20assignee%3Aself)%20is%3Aopen%20-is%3Aignored%20limit%3A25&q=is%3Aopen%20owner%3Aself%20is%3Awip%20limit%3A25&q=is%3Aopen%20owner%3Aself%20-is%3Awip%20-is%3Aignored%20limit%3A25&q=is%3Aopen%20-owner%3Aself%20-is%3Awip%20-is%3Aignored%20(reviewer%3Aself%20OR%20assignee%3Aself)%20limit%3A25&q=is%3Aopen%20-is%3Aignored%20cc%3Aself%20limit%3A10&q=is%3Aclosed%20-is%3Aignored%20(-is%3Awip%20OR%20owner%3Aself)%20(owner%3Aself%20OR%20reviewer%3Aself%20OR%20assignee%3Aself%20OR%20cc%3Aself)%20-age%3A4w%20limit%3A10&q=owner%3Aself%20limit%3A1 (2020-07-06T08:39:59.237Z, 2020-07-06T08:39:59.392Z)

HTTP404: NICHT GEFUNDEN: Der Server hat keine Übereinstimmungen für den angeforderten URI (Uniform Resource Identifier) gefunden.
GET - https://gerrit.wikimedia.org/fonts/robotomono/RobotoMono-Regular.ttf

CSS3119: Es sind keine Schriftarten für die @font-face-Regel verfügbar.
r (99,5)

Plugin gerrit-theme installed.

Plugin codemirror-editor installed.

Plugin delete-project installed.

Plugin lfs installed.

Plugin reviewers installed.

Plugin zuul installed.

Plugins loaded

Reporting: App Started: 3107

Reporting: Page: _handleRootRoute

Reporting: WebComponentsReady: 3349

Reporting: Page: _handleDashboardRoute

Reporting: StartupDashboardDisplayed: 7553

Reporting: PluginsLoaded: 10389

HTTP 200 GET 1162ms /accounts/self/capabilities?q=* (2020-07-06T08:40:06.015Z, 2020-07-06T08:40:07.177Z)

Reporting: Page: _handleChangeRoute

SCRIPT5007: SCRIPT5007: Unable to get property 'children' of undefined or null reference
gr-app.js (262,186)

TypeError: Unable to get property 'children' of undefined or null reference

Timeout waiting for endpoint properties initialization: plugin zuul, endpoint related-changes-section

SCRIPT5009: SCRIPT5009: 'HTMLSlotElement' is not defined
gr-app.js (1338,13)

ReferenceError: 'HTMLSlotElement' is not defined

SEC7115: Die Formate ":visited" und ":link" können nur farblich voneinander abweichen. Manche Formate wurden nicht auf ":visited" angewendet.
222762 (1,1)

Reporting: Page: _handleQueryRoute

HTTP 200 GET 213ms /r/changes/?O=881&S=0&n=25&q=is%3Awatched%20is%3Aopen (2020-07-06T08:47:13.174Z, 2020-07-06T08:47:13.387Z)

Reporting: Page: _handleChangeRoute

SCRIPT5007: SCRIPT5007: Unable to get property 'children' of undefined or null reference
gr-app.js (262,186)

TypeError: Unable to get property 'children' of undefined or null reference

Timeout waiting for endpoint properties initialization: plugin zuul, endpoint related-changes-section

Reporting: Page: _handleQueryRoute

HTTP 200 GET 248ms /r/accounts/self/preferences (2020-07-06T08:56:12.705Z, 2020-07-06T08:56:12.953Z)

HTTP 200 GET 137ms /r/changes/?O=881&S=0&n=25&q=is%3Awatched%20is%3Aopen (2020-07-06T08:56:12.962Z, 2020-07-06T08:56:13.099Z)

Reporting: Page: _handleChangeRoute

SCRIPT5007: SCRIPT5007: Unable to get property 'children' of undefined or null reference
gr-app.js (262,186)

TypeError: Unable to get property 'children' of undefined or null reference

Reporting: Page: _handleQueryRoute

HTTP 200 GET 224ms /r/changes/?O=881&S=0&n=25&q=is%3Awatched%20is%3Aopen (2020-07-06T08:56:22.456Z, 2020-07-06T08:56:22.680Z)

Timeout waiting for endpoint properties initialization: plugin zuul, endpoint related-changes-section

Reporting: Page: _handleChangeRoute

SCRIPT5007: SCRIPT5007: Unable to get property 'children' of undefined or null reference
gr-app.js (262,186)

TypeError: Unable to get property 'children' of undefined or null reference

Reporting: Page: _handleQueryRoute

HTTP 200 GET 162ms /r/changes/?O=881&S=0&n=25&q=is%3Awatched%20is%3Aopen (2020-07-06T08:59:19.142Z, 2020-07-06T08:59:19.304Z)

Timeout waiting for endpoint properties initialization: plugin zuul, endpoint related-changes-section

Reporting: Page: _handleChangeRoute

SCRIPT5007: SCRIPT5007: Unable to get property 'children' of undefined or null reference
gr-app.js (262,186)

TypeError: Unable to get property 'children' of undefined or null reference

Timeout waiting for endpoint properties initialization: plugin zuul, endpoint related-changes-section
gr-app.js (6888,1331)
hashar added a subscriber: hashar.EditedJul 6 2020, 12:26 PM
Reporting: Page: _handleChangeRoute
SCRIPT5007: SCRIPT5007: Unable to get property 'children' of undefined or null reference
gr-app.js (262,186)
TypeError: Unable to get property 'children' of undefined or null reference
Timeout waiting for endpoint properties initialization: plugin zuul, endpoint related-changes-section
SCRIPT5009: SCRIPT5009: 'HTMLSlotElement' is not defined
gr-app.js (1338,13)
ReferenceError: 'HTMLSlotElement' is not defined

Based on https://caniuse.com/#search=HTMLSlotElement , HTMLSlotElement has been introduced in MicroSoft Edge 79. But that might be a red hearing.

The other error: TypeError: Unable to get property 'children' of undefined or null reference, not quite sure from where it comes from. That might be due to the lack of HTMLSlotElement API :-\

HTTP404: NICHT GEFUNDEN: Der Server hat keine Übereinstimmungen für den angeforderten URI (Uniform Resource Identifier) gefunden.
GET - https://gerrit.wikimedia.org/fonts/robotomono/RobotoMono-Regular.ttf

CSS3119: Es sind keine Schriftarten für die @font-face-Regel verfügbar.
r (99,5)

The German text here means basically "font not found". It tries to use RobotoMono-Regular.ttf but can't find it and then it says "there are no fonts available for the $font-face rule".

I remembered the Roboto font had been mentioned somewhere and finally found T255977 again.

So there is https://bugs.chromium.org/p/gerrit/issues/detail?id=3985

cc: @Paladox @QChris

Dzahn assigned this task to Paladox.Jul 7 2020, 1:38 AM

Boldly assigning to Paladox since I know he is an Edge user and involved with upstream ticket regarding font loading.

Yes, https://gerrit.wikimedia.org/fonts/robotomono/RobotoMono-Regular.ttf is 404 but we also don't expect /fonts/ to work in the first place, or do we?

Oh I don’t use Microsoft edge and haven’t done so in a long while.

QChris added a comment.Jul 7 2020, 9:05 PM

Yes, https://gerrit.wikimedia.org/fonts/robotomono/RobotoMono-Regular.ttf is 404 but we also don't expect /fonts/ to work in the first place, or do we?

Correct. We don't expect /fonts/ to work. But also, we don't expect anything to access /fonts/ or .ttf files. Gerrit 2.15 used .ttf files.
Gerrit 3.2 serves fonts as .woff2 and it serves them from /r/fonts.

So since these look like relicts from Gerrit 2.15 to me, could you try flushing your caches?
Looking at our stylesheets though, I guess that will have only limited effects.

I lack access to an Edge browsers, but judging only from the font styles and compatibility matrices, I'd guess you need to use a newer Edge browser. A newer Blink/Chromium based Edge browser. As far as I can see, that's currently Edge 83.

Dzahn removed Paladox as the assignee of this task.Jul 7 2020, 9:46 PM

@Xqt I missed one aspect of your report. You mention "since today" (which was Monday) ... did it work before Monday?

Change 611805 had a related patch set uploaded (by QChris; owner: Christian Aistleitner):
[operations/software/gerrit@deploy/wmf/stable-3.2] Bump gerrit.war to Gerrit 3.2.2-138-g230805407f

https://gerrit.wikimedia.org/r/611805

Change 611805 merged by QChris:
[operations/software/gerrit@deploy/wmf/stable-3.2] Bump gerrit.war to Gerrit 3.2.2-138-g230805407f

https://gerrit.wikimedia.org/r/611805

@Xqt: Could you please try again?

I just deployed a new Gerrit version, which should address a few of the issues from the log you pasted.
If it does not fix your issue, could you please paste the logs for this new Gerrit version (as you did above), so we can compare them? Thanks!

Xqt added a comment.Jul 16 2020, 7:31 AM

@QChris: works for me now. Thanks a lot!

QChris closed this task as Resolved.Jul 16 2020, 8:20 AM
QChris claimed this task.

Nice! Thanks for confirming.